UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Contributor
Contributor
281 Views
Registered: ‎02-08-2013

Release date 2019.1

Jump to solution

I've experienced problems with the 2019.1 docnav on a debian "strech" machine. (debian is unsupported, I know, not necessairy to tell me ...)

invoking docnav caused a SIGABRT without any further error information. I'm using the cinamon desktop environment, and it turns out this does set various environment variables with the intent to make all Qt applications to have the look and feel of gtk applications.

me@machine:~$ env | grep QT
QT_QPA_PLATFORMTHEME=gtk2
QT_ACCESSIBILITY=1
QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1

This "platformtheme" being gtk2 causes docnav to sigabrt.

You can avoid this problem by any one of those:

  • setting QT_QPA_PLATFORMTHEME=fusion
  • setting QT_STYLE_OVERRIDE=fusion
  • or, invkoking docnav as "docnav -style fusion

Furhter there is an incompatibility with the libssl.so shared library. My work around is this:

cd DocNav/lib
mkdir off

mv libatk-1.0.so.0 libattr.so.1 libavahi-client.so.3 libavahi-common.so.3 libblkid.so.1 libbz2.so.1 libcairo.so.2 libcap.so.2 libcrypto.so.10 libcups.so.2 libdbus-1.so.3 libdw.so.1 libelf.so.1 libffi.so.6 libfreebl3.so libgbm.so.1 libgcrypt.so.11 libgdk-x11-2.0.so.0 libgmodule-2.0.so.0 libgraphite2.so.3 libgssapi_krb5.so.2 libgthread-2.0.so.0 libgtk-x11-2.0.so.0 libk5crypto.so.3 libkrb5.so.3 libkrb5support.so.0 liblz4.so.1 liblzma.so.5 libmount.so.1 libnspr4.so libpcre.so.1 libpixman-1.so.0 libplc4.so libplds4.so libpng15.so.15 libselinux.so.1 libsmime3.so libssl.so.10 libsystemd.so.0 libX11-xcb.so.1 libXau.so.6 libxcb-glx.so.0 libxcb-present.so.0 libxcb-render.so.0 libxcb-shm.so.0 libxcb-sync.so.1 libxcb-xfixes.so.0 libXcomposite.so.1 libXcursor.so.1 libXdamage.so.1 libXext.so.6 libXfixes.so.3 libXinerama.so.1 libXi.so.6 libXrandr.so.2 libXrender.so.1 libxshmfence.so.1 libXtst.so.6 libXxf86vm.so.1 off

ln -s /usr/lib/x86_64-linux-gnu/libssl.so.1.0.2 libssl.so
1 Solution

Accepted Solutions
Community Manager
Community Manager
169 Views
Registered: ‎05-08-2017

Re: Release date 2019.1

Jump to solution

Hi @larice ,

This will be noted within the forums and we appreciate your work around and information for other users within the same environment.

Thank you,
Devin

View solution in original post

0 Kudos
1 Reply
Community Manager
Community Manager
170 Views
Registered: ‎05-08-2017

Re: Release date 2019.1

Jump to solution

Hi @larice ,

This will be noted within the forums and we appreciate your work around and information for other users within the same environment.

Thank you,
Devin

View solution in original post

0 Kudos